Skip to main content
PATCH
/
assessments
/
{id}
Update assessment metadata/settings
curl --request PATCH \
  --url https://app.edpire.com/api/v1/assessments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "settings": {
    "time_limit_minutes": 123,
    "passing_score_percent": 123,
    "allowed_attempts": 123,
    "shuffle_exercises": true,
    "show_solutions": "never"
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "status": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "error": {
    "message": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

API key starting with edp_live_. Pass via Authorization: Bearer edp_live_xxx.

Scopes: read:assessments, write:assessments, read:results, write:submissions.

Path Parameters

id
string<uuid>
required

Assessment UUID

Body

application/json
title
string
Required string length: 1 - 200
description
string | null
Maximum string length: 2000
settings
object

Response

Assessment updated

data
object
error
object
meta
object